The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Device Software Deployed and Available

Prev Next

This URL retrieves the device software version currently deployed as well as the software versions available for installation.

Resource URL

GET sensor/<sensor_id>/deploydevicesoftware

Request Parameters

URL Parameter

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor ID

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

runningSoftwareVersion

Software version deployed on the Sensor

String

softwaresReadyForInstallation

List of software versions ready for installation

Array

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/deploydevicesoftware

Response

{
" runningSoftwareVersion ": ‘9.1.5.9’,
" softwaresReadyForInstallation ": [ "9.1.5.9","8.1.3.12" ]
	 }

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

1106

Invalid Sensor ID